---
updatedAt: 2025-09-24T00:07:06.000Z
agentTools:
  projectIndex: https://docs.bridgeapi.io/v2021.06.01/llms.txt
---

# Get categories insights

Retrieve the insights for each category of a user's transactions

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "v2021-06-01",
    "version": "2021.06.01"
  },
  "servers": [
    {
      "url": "https://api.bridgeapi.io/v2"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "Client-Id"
      },
      "sec1": {
        "type": "apiKey",
        "in": "header",
        "name": "Client-Secret"
      }
    }
  },
  "security": [
    {
      "sec0": [],
      "sec1": []
    }
  ],
  "paths": {
    "/insights/category": {
      "get": {
        "summary": "Get categories insights",
        "description": "Retrieve the insights for each category of a user's transactions",
        "operationId": "get-categories-insights",
        "parameters": [
          {
            "name": "fully_analyzed_month",
            "in": "query",
            "description": "The number of months to analyze. Value between 1 and 3. Default to 3.",
            "schema": {
              "type": "integer",
              "format": "int32",
              "default": 3
            }
          },
          {
            "name": "Client-Id",
            "in": "header",
            "description": "Application's client id.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "Client-Secret",
            "in": "header",
            "description": "Application's client secret.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "Authorization",
            "in": "header",
            "description": "Secret access token.",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"oldest_existing_transaction\": \"2019-06-22\",\n  \"fully_analyzed_month\": 3,\n  \"fully_analyzed_day\": 91,\n  \"risky_transactions\": 0,\n  \"kpis\": {\n    \"global\": {\n      \"categories\": [\n        {\n          \"id\": 1,\n          \"aggregates\": {\n            \"monetary_max\": 36.2,\n            \"monetary_min\": 12.5,\n            \"monetary_mean\": 25.82\n          }\n        },\n        {\n          \"id\": 2,\n          \"aggregates\": {\n            \"monetary_max\": 99.08,\n            \"monetary_min\": 7.1,\n            \"monetary_mean\": 43.91\n          }\n        },\n        {\n          \"id\": 4,\n          \"aggregates\": {\n            \"monetary_max\": 107.99,\n            \"monetary_min\": 14.98,\n            \"monetary_mean\": 61.48\n          }\n        }\n      ]\n    },\n    \"monthly\": [\n      {\n        \"from\": \"2019-09-03\",\n        \"to\": \"2019-10-02\",\n        \"categories\": [\n          {\n            \"id\": 1,\n            \"aggregates\": {\n              \"frequency\": 1,\n              \"monetary_sum\": 12.5\n            }\n          },\n          {\n            \"id\": 4,\n            \"aggregates\": {\n              \"frequency\": 2,\n              \"monetary_sum\": 122.97\n            }\n          }\n        ]\n      },\n      {\n        \"from\": \"2019-08-03\",\n        \"to\": \"2019-09-02\",\n        \"categories\": [\n          {\n            \"id\": 1,\n            \"aggregates\": {\n              \"frequency\": 1,\n              \"monetary_sum\": 36.2\n            }\n          },\n          {\n            \"id\": 2,\n            \"aggregates\": {\n              \"frequency\": 1,\n              \"monetary_sum\": 99.08\n            }\n          }\n        ]\n      },\n      {\n        \"from\": \"2019-07-03\",\n        \"to\": \"2019-08-02\",\n        \"categories\": [\n          {\n            \"id\": 1,\n            \"aggregates\": {\n              \"frequency\": 1,\n              \"monetary_sum\": 28.75\n            }\n          },\n          {\n            \"id\": 2,\n            \"aggregates\": {\n              \"frequency\": 2,\n              \"monetary_sum\": 32.66\n            }\n          }\n        ]\n      }\n    ]\n  }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "oldest_existing_transaction": {
                      "type": "string",
                      "example": "2019-06-22"
                    },
                    "fully_analyzed_month": {
                      "type": "integer",
                      "example": 3,
                      "default": 0
                    },
                    "fully_analyzed_day": {
                      "type": "integer",
                      "example": 91,
                      "default": 0
                    },
                    "risky_transactions": {
                      "type": "integer",
                      "example": 0,
                      "default": 0
                    },
                    "kpis": {
                      "type": "object",
                      "properties": {
                        "global": {
                          "type": "object",
                          "properties": {
                            "categories": {
                              "type": "array",
                              "items": {
                                "type": "object",
                                "properties": {
                                  "id": {
                                    "type": "integer",
                                    "example": 1,
                                    "default": 0
                                  },
                                  "aggregates": {
                                    "type": "object",
                                    "properties": {
                                      "monetary_max": {
                                        "type": "number",
                                        "example": 36.2,
                                        "default": 0
                                      },
                                      "monetary_min": {
                                        "type": "number",
                                        "example": 12.5,
                                        "default": 0
                                      },
                                      "monetary_mean": {
                                        "type": "number",
                                        "example": 25.82,
                                        "default": 0
                                      }
                                    }
                                  }
                                }
                              }
                            }
                          }
                        },
                        "monthly": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "from": {
                                "type": "string",
                                "example": "2019-09-03"
                              },
                              "to": {
                                "type": "string",
                                "example": "2019-10-02"
                              },
                              "categories": {
                                "type": "array",
                                "items": {
                                  "type": "object",
                                  "properties": {
                                    "id": {
                                      "type": "integer",
                                      "example": 1,
                                      "default": 0
                                    },
                                    "aggregates": {
                                      "type": "object",
                                      "properties": {
                                        "frequency": {
                                          "type": "integer",
                                          "example": 1,
                                          "default": 0
                                        },
                                        "monetary_sum": {
                                          "type": "number",
                                          "example": 12.5,
                                          "default": 0
                                        }
                                      }
                                    }
                                  }
                                }
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl 'https://api.bridgeapi.io/v2/insights/category?fully_analyzed_month=3' \\\n\t-X GET \\\n\t-H 'Bridge-Version: 2021-06-01' \\\n\t-H 'Client-Id: MY_CLIENT_ID' \\\n\t-H 'Client-Secret: MY_CLIENT_SECRET' \\\n\t-H 'Authorization: Bearer TOP_SECRET_ACCESS_TOKEN'"
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [
      {
        "key": "Bridge-Version",
        "value": "2021-06-01"
      }
    ],
    "explorer-enabled": false,
    "proxy-enabled": false
  },
  "x-readme-fauxas": true
}
```